#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <cmath>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void close();
    void addNumber();
    void addOperator();
    void calculate();
    void clear();


    
private:
    Ui::MainWindow *ui;

    float pressedNumber;
    float currentNumber;
    char choosenOperator;

    void refreshDisplay();


};

#endif // MAINWINDOW_H
